* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
  overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 1rem;
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
  border-radius: 0.6rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: rgb(73, 73, 215);
}

:root {
  --main-color: rgb(57, 57, 200);
  --main-bg-color: rgb(185, 248, 248);
}

/***** Reusable Section *****/

a,
label {
  text-decoration: none;
  font-size: 1.8rem;
}

li {
  list-style: none;
}

.container {
  padding: 9.6rem 2.4rem;
  max-width: 140rem;
  margin: auto;
}
/***** End Reusable Section *****/

/***** Navbar Section *****/

header {
  background-color: rgb(185, 248, 248);
  position: sticky;
  top: 0;
  left: 0;
  z-index: 10;
  transition: 0.6s;
}

header.sticky {
  background-color: white;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);

  & .container {
    padding: 1rem 2.4rem;
  }
}

header .container {
  padding: 2rem 2.4rem;
  justify-content: space-between;
  display: flex;
  align-items: center;
  transition: 0.6s;
}

.brand-section {
  width: 7.5rem;

  & h2 {
    width: 100%;
    color: black;
    font-size: 3.2rem;
    letter-spacing: 1px;

    & span {
      color: var(--main-color);
    }
  }
}

.nav-menu {
  display: flex;
  padding-right: 1rem;

  & .nav-link {
    padding: 0 3.6rem;
    transition: all 0.2s linear;
    font-weight: bold;

    & .active {
      color: var(--main-color);
    }

    & a {
      color: black;
      position: relative;

      &::before {
        content: "";
        position: absolute;
        bottom: -0.5rem;
        left: 0;
        border-bottom: 2px solid var(--main-color);
        width: 0%;
        transition: all 0.3s linear;
      }
      &:hover::before {
        width: 100%;
      }
    }
  }
}
/***** End Navbar Section *****/

/***** Hero Section *****/

main {
  position: relative;
}

.hero-section {
  background-color: var(--main-bg-color);

  & .container {
    padding: 7rem 2.4rem 16.2rem;
    display: flex;
    align-items: center;
  }
}

.hero-image {
  & img {
    mix-blend-mode: multiply;
    width: 100%;
  }
}

.sub-heading {
  font-size: 2.8rem;

  &:first-child span {
    color: var(--main-color);
  }
}

.sub-heading:nth-of-type(2) span {
  position: relative;
  color: transparent;

  &::before {
    content: "Full Stack Web Developer";
    position: absolute;
    top: 0;
    left: 0;
    color: var(--main-color);
    overflow: hidden;
    border-right: 2px solid var(--main-color);
    white-space: nowrap;
    animation: textReveal 2.5s linear infinite alternate;
    font-weight: bolder;
  }
}

@keyframes textReveal {
  0% {
    width: 0;
  }
  70% {
    width: 100%;
  }
  100% {
    width: 100%;
  }
}
.main-heading {
  font-size: 5.1rem;
  line-height: 1.2;
}

.para {
  font-size: 1.6rem;
  color: #777777;
  padding-top: 1.4rem;
  font-weight: 600;
  letter-spacing: 1px;
  line-height: 1.6;
  & span {
    color: var(--main-color);
  }
}

.download-btn {
  display: inline-block;
  padding: 1.2rem 3.8rem;
  background-color: var(--main-color);
  color: white;
  font-size: 1.6rem;
  border-radius: 25px;
  border: none;
  cursor: pointer;
  font-weight: bold;

  &:hover {
    background-color: rgb(29, 29, 142);
  }
}

.social-icons {
  display: flex;
  gap: 1.6rem;
  padding: 2.5rem 0 3.5rem;
}

.fa-social--icon {
  width: 5rem;
  aspect-ratio: 1;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  border: 2px solid var(--main-color);
  color: black;
  transition: all 0.2s linear;

  &:hover {
    background-color: var(--main-color);
    color: white;
    transform: rotate(360deg);
  }
}
/***** End Hero Section *****/

/***** Hero Wave design Section *****/

.custom-shape-divider-bottom-1711013476 {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
  transform: rotate(180deg);
}

.custom-shape-divider-bottom-1711013476 svg {
  position: relative;
  display: block;
  width: calc(100% + 1.3px);
  height: 117px;
}

.custom-shape-divider-bottom-1711013476 .shape-fill {
  fill: #ffffff;
}

/***** End Hero Wave design Section *****/

/***** About Section *****/

#about-section {
  background-color: #ffffff;
  background-image: url("/images/green-dust-and-scratches.png");
}

#about-section .container {
  display: flex;
  align-items: start;
  padding: 15rem 2.4rem 12rem;
}

.about-image {
  flex-basis: 30%;

  img {
    width: 46rem;
    height: 53.5rem;
    object-fit: cover;
    border-radius: 90% 10% 10% 90% / 60% 39% 61% 40%;
    /* border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%; */
  }
}

.about-content {
  display: flex;
  flex-direction: column;
  justify-content: start;
  flex-basis: 65%;
  padding: 0 3.2rem;
}

.about-para {
  font-size: 1.6rem;
  text-align: justify;
}

.title-heading {
  margin-bottom: 1.4rem;
}

.title-heading span {
  font-size: 5rem;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    right: -0.4rem;
    bottom: -1.3rem;
    width: 1.5rem;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: var(--main-color);
  }

  &::after {
    content: "";
    position: absolute;
    bottom: -0.7rem;
    left: 0;
    width: 100%;
    border-bottom: 3px solid var(--main-color);
  }
}

.about-description {
  padding-top: 1.8rem;
}

.about-btn {
  border: 2px solid var(--main-color);
  background-color: white;
  margin-right: 1.6rem;
  border-radius: 25px;
  padding: 1rem 2.8rem;
  font-size: 1.8rem;
  transition: all 0.2s linear;
  font-weight: bold;

  &:hover {
    cursor: pointer;
    background-color: var(--main-color);
    color: white;
  }
}

.highlight {
  background-color: var(--main-color);
  color: white;
  border: 2px solid var(--main-color);
}

.about-skills {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 3.5rem;
}

.about-tech--stack {
  width: 9.5rem;
  aspect-ratio: 1;
  transition: all 0.3s ease;

  &:hover {
    cursor: pointer;
    transform: scale(1.1);
  }
}

.description--content {
  margin-top: 2rem;
}

.about-education {
  padding-left: 0.8rem;
}

.education-item {
  border-left: 2px solid var(--main-color);
  padding-left: 1.8rem;
  padding-bottom: 1.6rem;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: -0.85rem;
    width: 1.5rem;
    border-radius: 50%;
    aspect-ratio: 1;
    background-color: var(--main-color);
  }
}

.education-item:last-child {
  padding-bottom: 0;
}

p.edu-date {
  font-size: 1.2rem;
  font-weight: bold;
  color: #302e4d;
}

.fa-calendar {
  padding-right: 0.8rem;
  margin-bottom: 1rem;
}

.edu-level {
  font-size: 1.8rem;
  padding-bottom: 1.4rem;
}

.fa-graduation-cap,
.fa-school {
  padding-right: 0.4rem;
}

.education-skill li {
  font-size: 1.2rem;
  margin-bottom: 1rem;
}

/***** End About Section *****/

/***** Project Section *****/

.projects-heading {
  text-align: center;
}

#projects .container:first-child {
  padding-bottom: 8rem;
  padding-top: 7rem;
}

.projects-cards.container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 3.2rem;
  padding-top: 2.2rem;
}

.project-card {
  position: relative;
  border: 0.2rem solid rgba(0, 0, 0, 0.1);
  /* box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px; */
}

.projects-description {
  border: 0.8rem solid rgba(0, 0, 0, 0.1);
  position: relative;
  overflow: hidden;
  & img {
    width: 100%;
    transition: all 0.5s ease;
  }
}

.layer {
  width: 100%;
  font-size: 1.8rem;
  font-weight: bolder;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: absolute;
  bottom: 0;
  height: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6));
  transition: all 0.5s ease;
  overflow: hidden;
}

.project-card:hover .layer {
  height: 100%;
}

.project-card:hover .project-img {
  transform: scale(1.1);
}

.projects-icons {
  display: flex;
  gap: 0.6rem;
}

.fa-projects {
  font-size: 3.2rem;
  color: white;
  padding: 1.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
  /* border: 2px solid var(--main-color); */
  border-radius: 50%;

  &:hover {
    cursor: pointer;
    background-color: var(--main-color);
  }
}

.fa-projects.fa-github {
  font-size: 3.8rem;
  padding: 1.3rem;
}

.card-description {
  font-size: 1.8rem;
  color: black;
  font-weight: bold;
  padding: 0.9rem 1.1rem;
  border-top: 2px solid rgba(0, 0, 0, 0.1);
}

.projects-icons {
  margin-bottom: 2rem;
}

.project-tech {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1.4rem;
}

.project-tech--stack {
  /* border: 2px solid white; */
  background-color: white;
  color: var(--main-color);
  font-weight: bolder;
  padding: 0.8rem 2.4rem;
  border-radius: 25px;
}

/***** End Project Section *****/

/***** Contact Section *****/

#contact .container:first-child {
  padding-bottom: 0rem;
  text-align: center;
}

.contact-heading {
  text-align: center;
}

form {
  max-width: 70%;
  margin: auto;
  text-align: center;
}

.name-section {
  display: flex;
  gap: 3.2rem;
}

input[type="text"],
input[type="email"] {
  width: 100%;
  margin-bottom: 3.6rem;
  height: 5rem;
  text-indent: 1.4rem;
  outline: none;
  border: 2px solid black;
}

textarea {
  width: 100%;
  padding: 1rem 3.4rem 1rem 1.4rem;
  padding-top: 1rem;
  outline: none;
  margin-bottom: 3.6rem;
  border: 2px solid black;
}

.contact-btn {
  display: inline-block;
  padding: 1.2rem 3rem;
  margin: auto;
  background-color: var(--main-color);
  color: white;
  border-radius: 2.5rem;
  border: none;
  font-weight: bolder;
  font-size: 1.6rem;

  &:hover {
    cursor: pointer;
    background-color: rgb(29, 29, 142);
  }
}

.input-group {
  position: relative;
  width: 100%;

  & span {
    position: absolute;
    font-size: 1.4rem;
    color: red;
    right: 1.4rem;
    top: 1.6rem;
  }

  .fa-circle-check {
    color: seagreen;
    font-size: 1.8rem;
  }
}
input:focus,
textarea:focus {
  border: 2px solid var(--main-color);
}

.submit-btn {
  display: grid;
  align-items: start;
  grid-template-columns: repeat(3, 1fr);
}

#success-message {
  display: flex;
  font-size: 1.8rem;
  gap: 0.7rem;
  padding-left: 0.5rem;
  font-weight: bolder;
  padding-top: 0.5rem;

  & i {
    color: seagreen;
    padding-top: 0.3rem;
  }
}
/***** End Contact Section *****/

/***** Footer Section *****/

#footer {
  background-color: var(--main-bg-color);
  display: flex;
  align-items: center;
  justify-content: center;

  & .container {
    padding: 3rem 0;
    display: flex;
    gap: 3rem;
    align-items: center;

    & i {
      font-size: 2rem;
      background-color: var(--main-color);
      color: white;
      &:hover {
        transform: none;
        cursor: pointer;
      }
      animation: arrowAnim 1s alternate infinite;
    }
  }

  & p {
    font-size: 1.8rem;
    font-weight: bold;
  }
}

@keyframes arrowAnim {
  0% {
    transform: translateY(-25%);
  }
  100% {
    transform: translateY(25%);
  }
}

/***** End Footer Section *****/
